# MyImprovedDialect Class Reference
[Connectors and dialects for various databases]

MySQL dialect. More...

Inheritance diagram for MyImprovedDialect:
[legend]

List of all members.

## Public Member Functions

| quoteBinary ($data)

## Static Public Member Functions

static | me ($link=null)
static | quoteValue ($value)

## Detailed Description

MySQL dialect.

See also:
  http://www.mysql.com/
  http://www.php.net/mysqli

Definition at line 20 of file MyImprovedDialect.class.php.

## Member Function Documentation

static MyImprovedDialect::me | ( | $ | link = `null` | ) | `[static]`

Returns:
  MyImprovedDialect

Definition at line 25 of file MyImprovedDialect.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

MyImprovedDialect::quoteBinary | ( | $ | data | ) |

Reimplemented from MyDialect.

Definition at line 47 of file MyImprovedDialect.class.php.

References DBPool::me().

Here is the call graph for this function:

static MyImprovedDialect::quoteValue | ( | $ | value | ) | `[static]`

See also:
  Sequenceless for this convention

Reimplemented from MyDialect.

Definition at line 30 of file MyImprovedDialect.class.php.

References DBPool::me().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/DB/MyImprovedDialect.class.php